%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)" 2>/dev/null)}
%{?!pybasever: %global pybasever %(python -c "import sys; print sys.version[:3]" 2>/dev/null || echo 0.0)}

Name:		python-twisted-words
Version:	13.2.0
Release:	1.0.cf%{?dist}
Summary:	Twisted Words contains Instant Messaging implementations
Group:		Development/Libraries
License:	MIT
URL:		http://twistedmatrix.com/trac/wiki/TwistedWords
Source0:	http://twistedmatrix.com/Releases/Words/13.2/TwistedWords-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildRequires:	python-twisted-core >= 13.2.0, python2-devel >= 2.6
Requires:	python-twisted-core >= 13.2.0, python-twisted-web

# a noarch-turned-arch package should not have debuginfo
%global debug_package %{nil}

%description
Twisted is an event-based framework for Internet applications.

Twisted Words contains implementations of many Instant Messaging protocols,
including IRC, Jabber, MSN, OSCAR (AIM & ICQ), TOC (AOL), and some
functionality for creating bots, inter-protocol gateways, and a client
application for many of the protocols.

In support of Jabber, Twisted Words also contains X-ish, a library for
processing XML with Twisted and Python, with support for a Pythonic DOM and
an XPath-like toolkit.

%prep
%setup -n TwistedWords-%{version} -q

# Fix doc permissions
chmod -c -x doc/examples/oscardemo.py

%build
python setup.py build

%install
rm -rf %{buildroot}

# This is a pure python package, but extending the twisted namespace from
# python-twisted-core, which is arch-specific, so it needs to go in sitearch
python setup.py install -O1 --install-purelib %{python_sitearch} --skip-build --root %{buildroot}

# See if there's any egg-info
if [ -f %{buildroot}%{python_sitearch}/Twisted_Words-%{version}-py%{pybasever}.egg-info ]; then
	echo %{python_sitearch}/Twisted_Words-%{version}-py%{pybasever}.egg-info
fi > egg-info

%clean
rm -rf %{buildroot}

%post
if [ -x %{_libexecdir}/twisted-dropin-cache ]; then
	%{_libexecdir}/twisted-dropin-cache || :
fi

%postun
if [ -x %{_libexecdir}/twisted-dropin-cache ]; then
	%{_libexecdir}/twisted-dropin-cache || :
fi

%files -f egg-info
%doc README LICENSE doc/* NEWS
%{python_sitearch}/twisted/words/
%{python_sitearch}/twisted/plugins/twisted_words.py*

%changelog
* Mon Nov 11 2013 Paul Howarth <paul@city-fan.org> 13.2.0-1.0.cf
- update to 13.2.0 (see NEWS for details)

* Tue Jul  2 2013 Paul Howarth <paul@city-fan.org> 13.1.0-1.0.cf
- update to 13.1.0 (see NEWS for details)

* Thu Apr  4 2013 Paul Howarth <paul@city-fan.org> 13.0.0-1.0.cf
- update to 13.0.0 (see NEWS for details)

* Thu Dec 27 2012 Paul Howarth <paul@city-fan.org> 12.3.0-1.0.cf
- update to 12.3.0
  - the Twisted Words code examples now documents inside each example
    description on how to run it (#5589)

* Mon Sep  3 2012 Paul Howarth <paul@city-fan.org> 12.2.0-1.0.cf
- update to 12.2.0 (see NEWS for details)

* Wed Jun  6 2012 Paul Howarth <paul@city-fan.org> 12.1.0-1.0.cf
- update to 12.1.0 (see NEWS for details)
- drop %%defattr, redundant since rpm 4.4

* Mon Feb 13 2012 Paul Howarth <paul@city-fan.org> 12.0.0-1.0.cf
- update to 12.0.0
  - twisted.words.im.basechat now has improved API documentation (#2458)
  - fix typos in xish.utility docstrings (#5401)
- twisted now requires at least python 2.5

* Mon Jan  9 2012 Paul Howarth <paul@city-fan.org> 11.1.0-2.0.cf
- rebuilt for gcc-4.7 in Rawhide

* Fri Nov 18 2011 Paul Howarth <paul@city-fan.org> 11.1.0-1.0.cf
- update to 11.1.0
  - twisted.words.protocols.irc.IRCClient now uses a PING heartbeat as a
    keepalive to avoid losing an IRC connection without being aware of it
    (#5047)
  - twisted.words.protocols.irc.IRCClient now replies only once to known CTCP
    queries per message and not at all to unknown CTCP queries (#5029)
  - IRCClient.msg now determines a safe maximum command length, drastically
    reducing the chance of relayed text being truncated on the server side
    (#5176)
  - twisted.words.protocols.irc.IRCClient.me was deprecated in Twisted 9.0 and
    has been removed; use IRCClient.describe instead (#5059)
  - remove obsolete man page for im client (#5025)
  - correct a mistaken test that previously passed in a string where a list was
    expected (#5330)
- upstream source distribution has moved to twistedmatrix.com

* Mon Apr  4 2011 Paul Howarth <paul@city-fan.org> 11.0.0-1.0.cf
- update to 11.0.0 (see NEWS for details)
- nobody else likes macros for commands

* Tue Nov 30 2010 Paul Howarth <paul@city-fan.org> 10.2.0-1.0.cf
- update to 10.2.0
  - twisted.words.protocols.irc.IRCClient.msg now enforces a maximum length for
    messages, splitting up messages that are too long (#4416)
  - twisted.words.protocols.irc.IRCClient no longer invokes privmsg() in the
    default noticed() implementation (#4419)
  - twisted.words.im.ircsupport.IRCProto now sends the correct name in the USER
    command (#4641)
  - remove twisted.words.im.proxyui and twisted.words.im.tap (#1823)
- BR: python2-devel rather than just python-devel
- drop patch for space-containing xmlns IRI, now upstream

* Thu Sep 30 2010 Paul Howarth <paul@city-fan.org> 10.1.0-2.0.cf
- fix crash on space-containing xmlns IRI (#603800)

* Wed Jul 28 2010 Paul Howarth <paul@city-fan.org> 10.1.0-1.1.cf
- rebuild for python 2.7 in Rawhide

* Mon Jul  5 2010 Paul Howarth <paul@city-fan.org> 10.1.0-1.0.cf
- update to 10.1.0 (see NEWS for details)
- Twisted now requires python >= 2.4

* Thu Mar  4 2010 Paul Howarth <paul@city-fan.org> 10.0.0-1.0.cf
- update to 10.0.0 (see NEWS for details)

* Wed Nov 25 2009 Paul Howarth <paul@city-fan.org> 9.0.0-1.0.cf
- update to 9.0.0
- im removed upstream since it used GTK+ version 1

* Tue Aug 11 2009 Paul Howarth <paul@city-fan.org> 8.2.0-3.0.cf
- define RPM macros in global scope
- tidy up egg-info handling

* Sun Jul 26 2009 Paul Howarth <paul@city-fan.org> 8.2.0-2.0.cf
- rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jan 16 2009 Paul Howarth <paul@city-fan.org> 8.2.0-1.0.CF
- update to 8.2.0
- make sure the scriplets never return a non-zero exit status
- remove no longer installed t-im man page

* Mon May 19 2008 Paul Howarth <paul@city-fan.org> 8.1.0-1
- update to 8.1.0

* Tue Apr  1 2008 Paul Howarth <paul@city-fan.org> 8.0.0-1
- update to 8.0.0
- handle egg-info if present

* Wed Jan 10 2007 Paul Howarth <paul@city-fan.org> 0.5.0-1
- update to 0.5.0
- require python-twisted-core >= 2.5.0
- include NEWS

* Thu Jan  4 2007 Paul Howarth <paul@city-fan.org> 0.4.0-5
- update URL
- include LICENSE
- include %%post and %%postun scriptlets to maintain the dropin cache

* Tue Dec 12 2006 Paul Howarth <paul@city-fan.org> 0.4.0-4
- reinstate tabs
- reinstate python-devel buildreq for python 2.5 on Rawhide

* Mon Sep  4 2006 Paul Howarth <paul@city-fan.org> 0.4.0-3
- don't ghost .pyo files
- remove unnecessary python-devel buildreq
- don't generate debuginfo package
- update summary and description

* Fri Jun  9 2006 Paul Howarth <paul@city-fan.org> 0.4.0-2
- build as arch-specific package for proper integration with twisted-core
  (see http://www.redhat.com/archives/fedora-extras-list/2006-June/msg00264.html)
- script the python files list generation to clean up the spec

* Sun May 28 2006 Paul Howarth <paul@city-fan.org> 0.4.0-1
- update to 0.4.0
- add python-twisted-web dep for MSN usage

* Thu May 11 2006 Paul Howarth <paul@city-fan.org> 0.3.0-2
- add missing buildreq python-twisted-words

* Wed May 10 2006 Paul Howarth <paul@city-fan.org> 0.3.0-1
- import from PyVault Repository
- rewrite in Fedora Extras style
- update to 0.3.0
- drop dep on python-twisted-xish, now bundled

* Tue Aug 23 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-2
- disttag

* Wed Mar 16 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-0.1.a3
- upstream release

* Sat Mar 12 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-0.1.a2
- prerelease; FE versioning

* Mon Feb 07 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-1
- prep for split

